STOFFParser Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
STOFFParser Class Referenceabstract

virtual class which defines the ancestor of all main zone parser More...

`#include <STOFFParser.hxx>`

Inheritance diagram for STOFFParser:

## Public Member Functions
virtual | ~STOFFParser ()
| virtual destructor More...
virtual bool | checkHeader (STOFFHeader *header, bool strict=false)=0
| virtual function used to check if the document header is correct (or not) More...
int | version () const
| returns the works version More...
STOFFParserStatePtr | getParserState ()
| returns the parser state More...
STOFFHeader * | getHeader ()
| returns the header More...
STOFFInputStreamPtr & | getInput ()
| returns the actual input More...
STOFFPageSpan const & | getPageSpan () const
| returns the actual page dimension More...
STOFFPageSpan & | getPageSpan ()
| returns the actual page dimension More...
STOFFGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener More...
STOFFSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener More...
libstoff::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...

## Protected Member Functions
| STOFFParser (STOFFParserState::Type type, STOFFInputStreamPtr input, STOFFHeader *header)
| constructor (protected) More...
| STOFFParser (STOFFParserStatePtr state)
| constructor using a state More...
void | setVersion (int vers)
| sets the document's version More...
void | setGraphicListener (STOFFGraphicListenerPtr &listener)
| sets the graphic listener More...
void | resetGraphicListener ()
| resets the listener More...
void | setSpreadsheetListener (STOFFSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener More...
void | resetSpreadsheetListener ()
| resets the listener More...
void | setAsciiName (char const *name)
| Debugging: change the default ascii file. More...
std::string const & | asciiName () const
| return the ascii file name More...

## Private Member Functions
| STOFFParser (const STOFFParser &)
| private copy constructor: forbidden More...
STOFFParser & | operator= (const STOFFParser &)
| private operator=: forbidden More...

## Private Attributes
STOFFParserStatePtr | m_parserState
| the parser state More...
std::string | m_asciiName
| the debug file name More...

## Detailed Description

virtual class which defines the ancestor of all main zone parser

## Constructor & Destructor Documentation

STOFFParser::~STOFFParser | ( |  | ) |
| virtual

virtual destructor

STOFFParser::STOFFParser | ( | STOFFParserState::Type | type,
|  | STOFFInputStreamPtr | input,
|  | STOFFHeader * | header
| ) |  |
| protected

constructor (protected)

STOFFParser::STOFFParser | ( | STOFFParserStatePtr | state | ) |
| inlineexplicitprotected

constructor using a state

STOFFParser::STOFFParser | ( | const STOFFParser & |  | ) |
| private

private copy constructor: forbidden

## Member Function Documentation

libstoff::DebugFile& STOFFParser::ascii | ( |  | ) |
| inline

a DebugFile used to write what we recognize when we parse the document

Referenced by SDAParser::parse(), SDWParser::parse(), SDGParser::parse(), and SDCParser::parse().

std::string const& STOFFParser::asciiName | ( |  | ) | const
| inlineprotected

return the ascii file name

virtual bool STOFFParser::checkHeader | ( | STOFFHeader * | header,
|  | bool | strict = `false`
| ) |  |
| pure virtual

virtual function used to check if the document header is correct (or not)

Implemented in SDAParser, SDCParser, SDGParser, and SDWParser.

STOFFGraphicListenerPtr& STOFFParser::getGraphicListener | ( |  | ) |
| inline

returns the graphic listener

Referenced by SDAParser::parse(), SDGParser::parse(), and resetGraphicListener().

STOFFHeader* STOFFParser::getHeader | ( |  | ) |
| inline

returns the header

STOFFInputStreamPtr& STOFFParser::getInput | ( |  | ) |
| inline

returns the actual input

Referenced by SDAParser::checkHeader(), SDGParser::checkHeader(), SDCParser::checkHeader(), SDWParser::checkHeader(), SDGParser::createZones(), SDAParser::createZones(), SDCParser::createZones(), SDWParser::createZones(), SDGParser::parse(), SDCParser::parse(), SDWParser::parse(), and SDAParser::parse().

STOFFPageSpan const& STOFFParser::getPageSpan | ( |  | ) | const
| inline

returns the actual page dimension

Referenced by SDAParser::createDocument(), SDGParser::createDocument(), and SDCParser::createDocument().

STOFFPageSpan& STOFFParser::getPageSpan | ( |  | ) |
| inline

returns the actual page dimension

STOFFParserStatePtr STOFFParser::getParserState | ( |  | ) |
| inline

returns the parser state

Referenced by SDAParser::createDocument(), SDGParser::createDocument(), and SDCParser::createDocument().

STOFFSpreadsheetListenerPtr& STOFFParser::getSpreadsheetListener | ( |  | ) |
| inline

returns the spreadsheet listener

Referenced by resetSpreadsheetListener(), and SDCParser::sendSpreadsheet().

STOFFParser& STOFFParser::operator= | ( | const STOFFParser & |  | ) |
| private

private operator=: forbidden

void STOFFParser::resetGraphicListener | ( |  | ) |
| protected

resets the listener

Referenced by SDAParser::parse(), and SDGParser::parse().

void STOFFParser::resetSpreadsheetListener | ( |  | ) |
| protected

resets the listener

Referenced by SDCParser::parse().

void STOFFParser::setAsciiName | ( | char const * | name | ) |
| inlineprotected

Debugging: change the default ascii file.

Referenced by SDWParser::init().

void STOFFParser::setGraphicListener | ( | STOFFGraphicListenerPtr & | listener | ) |
| protected

sets the graphic listener

Referenced by SDAParser::createDocument(), and SDGParser::createDocument().

void STOFFParser::setSpreadsheetListener | ( | STOFFSpreadsheetListenerPtr & | listener | ) |
| protected

sets the spreadsheet listener

Referenced by SDCParser::createDocument().

void STOFFParser::setVersion | ( | int | vers | ) |
| inlineprotected

sets the document's version

int STOFFParser::version | ( |  | ) | const
| inline

returns the works version

## Member Data Documentation

std::string STOFFParser::m_asciiName
| private

the debug file name

STOFFParserStatePtr STOFFParser::m_parserState
| private

the parser state

Referenced by resetGraphicListener(), resetSpreadsheetListener(), setGraphicListener(), setSpreadsheetListener(), and STOFFParser().

The documentation for this class was generated from the following files:

- STOFFParser.hxx
- STOFFParser.cxx